Bug 1108355 - Review Request: tcl-togl - A Tk OpenGL widget
Summary: Review Request: tcl-togl - A Tk OpenGL widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1108395
TreeView+ depends on / blocked
 
Reported: 2014-06-11 19:34 UTC by Sandro Mani
Modified: 2015-01-24 18:51 UTC (History)
2 users (show)

Fixed In Version: tcl-togl-1.7-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 02:27:36 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-06-11 19:34:45 UTC
Spec URL: http://smani.fedorapeople.org/review/tcl-togl.spec
SRPM URL: http://smani.fedorapeople.org/review/tcl-togl-1.7-1.fc21.src.rpm
Description: A Tk OpenGL widget
Fedora Account System Username: smani


Note: Version 2.0 is available, but my interest in this package is solely the fact that it is a dependency for netgen-mesher, which only supports togl-1.7, see [1].

[1] http://sourceforge.net/p/netgen-mesher/discussion/905306/thread/26116d7e/

Comment 1 Mukundan Ragavan 2014-06-12 15:11:27 UTC
Mixed use of tabs and space?

Provides: togl = %{version}-%{release}
Requires: tcl(abi) = 8.6

P.S. running fedora-review.

Comment 2 Sandro Mani 2014-06-12 17:01:46 UTC
Uhm, there are no tabs, but I guess rpmlint was noticing the inconsistent indentation of those two lines. I fixed that (without bumping the release, so SPEC and SRPM URL remain the same).

Comment 3 Mukundan Ragavan 2014-06-12 18:14:22 UTC
Just one question - 

[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.



Unversioned so-files
--------------------
tcl-togl: /usr/lib64/libTogl1.7.so
tcl-togl: /usr/lib64/tcl8.6/Togl1.7/libTogl1.7.so

---> Please clarify - Can this be moved to -devel or is it needed for functionality?

======================================================================

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[?]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

---> Please clarify - Can this be moved to -devel or is it needed for functionality?

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Public domain". 10 files have
     unknown license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1108355-tcl-togl/licensecheck.txt

---> These look fine.

[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/tcl8.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/tcl8.6
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7040171

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tcl-togl-1.7-1.fc21.x86_64.rpm
          tcl-togl-devel-1.7-1.fc21.x86_64.rpm
          tcl-togl-1.7-1.fc21.src.rpm
tcl-togl-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tcl-togl tcl-togl-devel
tcl-togl-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
tcl-togl (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXmu.so.6()(64bit)
    libc.so.6()(64bit)
    rtld(GNU_HASH)
    tcl(abi)

tcl-togl-devel (rpmlib, GLIBC filtered):
    tcl-togl(x86-64)



Provides
--------
tcl-togl:
    libTogl1.7.so()(64bit)
    tcl-togl
    tcl-togl(x86-64)
    togl

tcl-togl-devel:
    tcl-togl-devel
    tcl-togl-devel(x86-64)



Unversioned so-files
--------------------
tcl-togl: /usr/lib64/libTogl1.7.so
tcl-togl: /usr/lib64/tcl8.6/Togl1.7/libTogl1.7.so

Source checksums
----------------
http://sourceforge.net/projects/togl/files/Togl/1.7/Togl-1.7.tar.gz :
  CHECKSUM(SHA256) this package     : 56b7580e3001cc4d334ff31bf6b9d730d05abb2faba7a3dbbc1c959ff7f7bcaf
  CHECKSUM(SHA256) upstream package : 56b7580e3001cc4d334ff31bf6b9d730d05abb2faba7a3dbbc1c959ff7f7bcaf


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1108355
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Sandro Mani 2014-06-12 18:17:10 UTC
No those must be part of the main package. Tcl modules are unversioned (that is, the versioning is part of the filename).

Comment 5 Mukundan Ragavan 2014-06-12 18:18:52 UTC
OK! That's what I read somewhere - was just making sure. Package Approved.

Comment 6 Sandro Mani 2014-06-12 18:21:07 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: tcl-togl
Short Description: A Tk OpenGL widget
Owners: smani
Branches: f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-06-12 19:14:25 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-06-12 23:30:54 UTC
tcl-togl-1.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tcl-togl-1.7-1.fc20

Comment 9 Fedora Update System 2014-06-13 22:50:24 UTC
tcl-togl-1.7-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-06-27 02:27:36 UTC
tcl-togl-1.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Sandro Mani 2015-01-03 15:20:36 UTC
Package Change Request
======================
Package Name: tcl-togl
New Branches: el6 epel7
Owners: smani
InitialCC:

Comment 12 Gwyn Ciesla 2015-01-05 12:53:16 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-01-05 13:33:21 UTC
tcl-togl-1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tcl-togl-1.7-2.el6

Comment 14 Fedora Update System 2015-01-05 13:33:54 UTC
tcl-togl-1.7-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/tcl-togl-1.7-2.el7

Comment 15 Fedora Update System 2015-01-24 18:43:18 UTC
tcl-togl-1.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Fedora Update System 2015-01-24 18:51:29 UTC
tcl-togl-1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.